> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Measurement

> Add a new measurement for a patient.



## OpenAPI

````yaml post /user/patient/measurement
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/measurement:
    post:
      tags:
        - provider
        - user
      summary: Add Measurement
      description: Add a new measurement for a patient.
      operationId: add_measurement_user_patient_measurement_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeasurementBase'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeasurementSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MeasurementBase:
      properties:
        height:
          anyOf:
            - type: number
            - type: 'null'
          title: Height
          description: The height of the patient in cms.
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
          description: The weight of the patient in kgs.
        systolicBp:
          anyOf:
            - type: number
            - type: 'null'
          title: Systolicbp
        diastolicBp:
          anyOf:
            - type: number
            - type: 'null'
          title: Diastolicbp
        pulse:
          anyOf:
            - type: number
            - type: 'null'
          title: Pulse
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
        waistCircumference:
          anyOf:
            - type: number
            - type: 'null'
          title: Waistcircumference
          description: The waist circumference of the patient in cms.
        patientId:
          type: string
          title: Patientid
        noteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Noteid
        measurementDate:
          type: string
          format: date-time
          title: Measurementdate
          description: >-
            The date and time the measurement was taken. Defaults to now if not
            provided.
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
          description: The event that the measurement was taken for.
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: >-
            When the measurement was taken. Defaults to current time if not
            provided.
      type: object
      required:
        - patientId
      title: MeasurementBase
      description: Base schema for measurement fields (excluding creator_id and id).
    MeasurementSummary:
      properties:
        height:
          anyOf:
            - type: number
            - type: 'null'
          title: Height
          description: The height of the patient in cms.
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
          description: The weight of the patient in kgs.
        systolicBp:
          anyOf:
            - type: number
            - type: 'null'
          title: Systolicbp
        diastolicBp:
          anyOf:
            - type: number
            - type: 'null'
          title: Diastolicbp
        pulse:
          anyOf:
            - type: number
            - type: 'null'
          title: Pulse
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
        waistCircumference:
          anyOf:
            - type: number
            - type: 'null'
          title: Waistcircumference
          description: The waist circumference of the patient in cms.
        patientId:
          type: string
          title: Patientid
        noteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Noteid
        measurementDate:
          type: string
          format: date-time
          title: Measurementdate
          description: >-
            The date and time the measurement was taken. Defaults to now if not
            provided.
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
          description: The event that the measurement was taken for.
        createdDate:
          type: string
          format: date-time
          title: Createddate
        id:
          type: string
          title: Id
        creatorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Creatorid
          description: >-
            ID of the user who created this measurement (optional for legacy
            measurements)
      type: object
      required:
        - patientId
        - createdDate
        - id
      title: MeasurementSummary
      description: >-
        Schema for reading measurements. creator_id is optional for legacy
        measurements.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````